<?php
	
	declare(strict_types=1);
	
	/**
	 * @author: Daniel Schmitzer (daschmi@daschmi.de)
	 * @date: 20.04.23
	 * @time: 12:56
	 */
	
	namespace wpsg;
	
	class wpsg_variant extends \wpsg_model {
		
		/**
		 * @throws Exception
		 */
		public function load($variant_id) {

			parent::load($variant_id);

			$this->data = $this->db->fetchRow("SELECT O.* FROM `".WPSG_TBL_VARIANTS."` AS O WHERE O.`id` = '".wpsg_q($variant_id)."' ");

			if (($this->data['id']??0) != $variant_id) throw new \wpsg\Exception(wpsg_translate(__('Gesuchte wpsg_variant ID:#1# Gefundene ID:#2#', 'wpsg'), $variant_id, $this->data['id']??0));

			return true;

		}
		
		public function getLabel(): string {
			
			return $this->__get('name');
			
		}
		
	}